Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Class Request

    java.lang.Object
      |
      +--oracle.apps.cz.cio.Request

public final class Request
extends java.lang.Object

This class is the used for input and output of requests into the system.

Field Summary
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`

Method Summary
`double` | `getNumericValue()` Returns the numeric value of this request.
`oracle.apps.cz.cio.IRuntimeNode` | `getRuntimeNode()` Returns the IRuntimeNode of this request.
`java.lang.String` | `getValue()` Returns the string value of this request.
`boolean` | `isFalseStateRequest()` Returns true if this request is for changing the state of a runtime node to False, i.e., if the value of this request is "False".
`boolean` | `isNumericRequest()` Returns true if this request is for changing the numeric value of a runtime node, i.e., if the value of this request is a Number.
`boolean` | `isStateRequest()` Returns true if this request is for changing the state of a runtime node, i.e, if the value of this request is either "True", "False", "Toggle", or "Unknown".
`boolean` | `isToggleStateRequest()` Returns true if this request is for toggling the state of a runtime node i.e., if the value of this request is "Toggle".
`boolean` | `isTrueStateRequest()` Returns true if this request is for changing the state of a runtime node to True, i.e., if the value of this request is "True".
`boolean` | `isUnknownStateRequest()` Returns true if this request is for unsetting the state of a runtime node i.e., if the value of this request is "Unknown".

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

Method Detail

### getRuntimeNode

    public oracle.apps.cz.cio.IRuntimeNode getRuntimeNode()

  Returns the IRuntimeNode of this request.

### getValue

    public java.lang.String getValue()

  Returns the string value of this request.

### isStateRequest

    public boolean isStateRequest()

  Returns true if this request is for changing the state of a runtime node, i.e, if the value of this request is either "True", "False", "Toggle", or "Unknown".

### isTrueStateRequest

    public boolean isTrueStateRequest()

  Returns true if this request is for changing the state of a runtime node to True, i.e., if the value of this request is "True".

### isFalseStateRequest

    public boolean isFalseStateRequest()

  Returns true if this request is for changing the state of a runtime node to False, i.e., if the value of this request is "False".

### isUnknownStateRequest

    public boolean isUnknownStateRequest()

  Returns true if this request is for unsetting the state of a runtime node i.e., if the value of this request is "Unknown".

### isToggleStateRequest

    public boolean isToggleStateRequest()

  Returns true if this request is for toggling the state of a runtime node i.e., if the value of this request is "Toggle".

### isNumericRequest

    public boolean isNumericRequest()

  Returns true if this request is for changing the numeric value of a runtime node, i.e., if the value of this request is a Number.

### getNumericValue

    public double getNumericValue()

  Returns the numeric value of this request.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.